class RecordingsController < ApplicationController

  respond_to :html

  def show
    @claimed_recording = ClaimedRecording.find_by_id(params[:id])
    if @claimed_recording.nil?
      recording = Recording.find_by_id(params[:id])
      @claimed_recording = recording.candidate_claimed_recording if recording
    end
    if @claimed_recording
      render :layout => "web"
    else
      render text: 'Recording not found', status: 404
    end

  end

end